LibreOffice: SpreadsheetView Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Exported Interfaces | List of all members
SpreadsheetView Service Referencepublished

represents a view of a spreadsheet document. More...

Inheritance diagram for SpreadsheetView:

## Included Services
service | com::sun::star::frame::Controller
| provides the integration into the framework.
service | com::sun::star::sheet::SpreadsheetViewSettings
| provides the view's settings.
service | com::sun::star::sheet::SpreadsheetViewPane
| provides direct access to the view's active pane.

## Exported Interfaces
interface | com::sun::star::sheet::XSpreadsheetView
| provides access to the active sheet in the view.
interface | com::sun::star::container::XIndexAccess
| provides access to the collection of view panes.
interface | com::sun::star::container::XEnumerationAccess
| creates an enumeration of view panes.
interface | com::sun::star::view::XSelectionSupplier
| provides access to the view's selection.
interface | com::sun::star::sheet::XViewSplitable
| allows to split the view.
interface | com::sun::star::sheet::XViewFreezable
| allows to freeze columns and rows of the view.
interface | com::sun::star::sheet::XRangeSelection
| allows to let the user interactively select a cell range.
interface | com::sun::star::sheet::XEnhancedMouseClickBroadcaster
interface | com::sun::star::sheet::XActivationBroadcaster
Exported Interfaces inherited from Controller
interface | XController
| with this interface, components viewed in a Frame can serve events (by supplying dispatches)
interface | XDispatchProvider
| for certain functions which are useful at the UI
interface | com::sun::star::ui::XContextMenuInterception
| this interface enables the controller to get interceptors registered that change context menus or prevent them from being executed
interface | com::sun::star::awt::XUserInputInterception
| makes it possible to intercept keyboard and mouse input.
interface | com::sun::star::view::XSelectionSupplier
| makes it possible to access and change the selection in a view
interface | com::sun::star::datatransfer::XTransferableSupplier
| makes it possible to work with clipboard data
Exported Interfaces inherited from SpreadsheetViewSettings
interface | com::sun::star::beans::XPropertySet
| provides access to the properties.
Exported Interfaces inherited from SpreadsheetViewPane
interface | com::sun::star::sheet::XViewPane
| allows to control which cells are shown in the view pane.
interface | com::sun::star::sheet::XCellRangeReferrer
| gives direct access to the cell range object for the visible range.
interface | com::sun::star::view::XControlAccess
| provides access to a control model's control for the view pane.

## Additional Inherited Members
Public Member Functions inherited from XController
void | attachFrame ([in] XFrame Frame)
| is called to attach the controller with its managing frame.
boolean | attachModel ([in] XModel Model)
| is called to attach the controller to a new model.
boolean | suspend ([in] boolean Suspend)
| is called to prepare the controller for closing the view
any | getViewData ()
| provides access to current view status
void | restoreViewData ([in] any Data)
| restores the view status using the data gotten from a previous call to XController::getViewData().
XModel | getModel ()
| provides access to currently attached model
XFrame | getFrame ()
| provides access to owner frame of this controller
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XDispatchProvider
XDispatch | queryDispatch ([in] com::sun::star::util::URL URL, [in] string TargetFrameName, [in] long SearchFlags)
| searches for an XDispatch for the specified URL within the specified target frame.
sequence< XDispatch > | queryDispatches ([in] sequence< DispatchDescriptor > Requests)
| actually this method is redundant to XDispatchProvider::queryDispatch() to avoid multiple remote calls.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XViewPane
long | getFirstVisibleColumn ()
| returns the first column that is visible in the pane.
void | setFirstVisibleColumn ([in] long nFirstVisibleColumn)
| sets the first column that is visible in the pane.
long | getFirstVisibleRow ()
| returns the first row that is visible in the pane.
void | setFirstVisibleRow ([in] long nFirstVisibleRow)
| sets the first row that is visible in the pane.
com::sun::star::table::CellRangeAddress | getVisibleRange ()
| returns the address of the cell range that consists of the cells which are visible in the pane.
Public Member Functions inherited from XCellRangeReferrer
com::sun::star::table::XCellRange | getReferredCells ()
| returns the cell range object that is represented.
Public Member Functions inherited from XSpreadsheetView
com::sun::star::sheet::XSpreadsheet | getActiveSheet ()
| returns the sheet that is shown in the view.
void | setActiveSheet ([in] com::sun::star::sheet::XSpreadsheet xActiveSheet)
| sets the sheet that is shown in the view.
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Public Member Functions inherited from XViewSplitable
boolean | getIsWindowSplit ()
| returns `TRUE` if the view is split into individual panes.
long | getSplitHorizontal ()
| returns the horizontal position in pixels where the view is split.
long | getSplitVertical ()
| returns the vertical position in pixels where the view is split.
long | getSplitColumn ()
| returns the column before which the view is split.
long | getSplitRow ()
| returns the row before which the view is split.
void | splitAtPosition ([in] long nPixelX, [in] long nPixelY)
| splits the view at the specified position.
Public Member Functions inherited from XViewFreezable
boolean | hasFrozenPanes ()
| returns `TRUE` if the view has frozen panes.
void | freezeAtPosition ([in] long nColumns, [in] long nRows)
| freezes panes with the specified number of columns and rows.
Public Member Functions inherited from XRangeSelection
void | startRangeSelection ([in] sequence< com::sun::star::beans::PropertyValue > aArguments)
| starts the range selection.
void | abortRangeSelection ()
| aborts the range selection.
void | addRangeSelectionListener ([in] com::sun::star::sheet::XRangeSelectionListener aListener)
| adds a listener that is notified when range selection is completed or aborted.
void | removeRangeSelectionListener ([in] com::sun::star::sheet::XRangeSelectionListener aListener)
| removes the specified listener.
void | addRangeSelectionChangeListener ([in] com::sun::star::sheet::XRangeSelectionChangeListener aListener)
| adds a listener that is notified when the selected range is changed.
void | removeRangeSelectionChangeListener ([in] com::sun::star::sheet::XRangeSelectionChangeListener aListener)
| removes the specified listener.
Public Attributes inherited from SpreadsheetViewSettings
boolean | ShowFormulas
| controls whether formulas are displayed instead of their results.
boolean | ShowZeroValues
| enables display of zero-values.
boolean | IsValueHighlightingEnabled
| controls whether strings, values, and formulas are displayed in different colors.
boolean | ShowNotes
| controls whether a marker is shown for notes in cells.
boolean | HasVerticalScrollBar
| enables the vertical scroll bar of the view.
boolean | HasHorizontalScrollBar
| enables the horizontal scroll bar of the view.
boolean | HasSheetTabs
| enables the sheet tabs of the view.
boolean | IsOutlineSymbolsSet
| enables the display of outline symbols.
boolean | HasColumnRowHeaders
| enables the column and row headers of the view.
boolean | ShowGrid
| enables the display of the cell grid.
com::sun::star::util::Color | GridColor
| specifies the color in which the cell grid is displayed.
boolean | ShowHelpLines
| enables display of help lines when moving drawing objects.
boolean | ShowAnchor
| enables display of anchor symbols when drawing objects are selected.
boolean | ShowPageBreaks
| enables display of page breaks.
short | ShowObjects
| enables display of embedded objects in the view.
short | ShowCharts
| enables the display of charts in the view.
short | ShowDrawing
| enables the display of drawing objects in the view.
boolean | HideSpellMarks
| disables the display of marks from online spelling.
short | ZoomType
| This property defines the zoom type for the document.
short | ZoomValue
| Defines the zoom value to use.
short | FormulaBarHeight
| Number of lines shown in the Formula bar Default is 1, maximum value is 25.
Protected Member Functions inherited from XContextMenuInterception
void | registerContextMenuInterceptor ([in]XContextMenuInterceptor Interceptor)
| registers an XContextMenuInterceptor, which will become the first interceptor in the chain of registered interceptors.
void | releaseContextMenuInterceptor ([in]XContextMenuInterceptor Interceptor)
| removes an XContextMenuInterceptor which was previously registered using XContextMenuInterception::registerContextMenuInterceptor().
Protected Member Functions inherited from XUserInputInterception
void | addKeyHandler ([in] ::com::sun::star::awt::XKeyHandler xHandler)
| Add a new listener that is called on com::sun::star::awt::KeyEvent.
void | removeKeyHandler ([in] ::com::sun::star::awt::XKeyHandler xHandler)
| Remove the specified listener from the list of listeners.
void | addMouseClickHandler ([in] ::com::sun::star::awt::XMouseClickHandler xHandler)
| Add a new listener that is called on com::sun::star::awt::MouseEvent.
void | removeMouseClickHandler ([in] ::com::sun::star::awt::XMouseClickHandler xHandler)
| Remove the specified listener from the list of listeners.
Protected Member Functions inherited from XSelectionSupplier
boolean | select ([in] any xSelection) raises ( com::sun::star::lang::IllegalArgumentException )
| selects the object represented by xSelection if it is known and selectable in this object.
any | getSelection ()
void | addSelectionChangeListener ([in] com::sun::star::view::XSelectionChangeListener xListener)
| registers an event listener, which is called when the selection changes.
void | removeSelectionChangeListener ([in] com::sun::star::view::XSelectionChangeListener xListener)
| unregisters an event listener which was registered with XSelectionSupplier::addSelectionChangeListener().
Protected Member Functions inherited from XTransferableSupplier
XTransferable | getTransferable ()
| To get access to a transferable representation of a selected part of an object.
void | insertTransferable ([in] XTransferable xTrans) raises ( UnsupportedFlavorException )
| Hands over a transferable object that shall be inserted.
Protected Member Functions inherited from XControlAccess
com::sun::star::awt::XControl | getControl ([in] com::sun::star::awt::XControlModel xModel) raises ( com::sun::star::container::NoSuchElementException )
| is called to get the control from the specified control model.
Protected Member Functions inherited from XEnhancedMouseClickBroadcaster
void | addEnhancedMouseClickHandler ([in] com::sun::star::awt::XEnhancedMouseClickHandler aListener)
| allows a component supporting the XEnhancedMouseClickHandler interface to register as listener.
void | removeEnhancedMouseClickHandler ([in] com::sun::star::awt::XEnhancedMouseClickHandler aListener)
| removes a previously registered listener.
Protected Member Functions inherited from XActivationBroadcaster
void | addActivationEventListener ([in] com::sun::star::sheet::XActivationEventListener aListener)
| allows a component supporting the XActivationEventListener interface to register as listener.
void | removeActivationEventListener ([in] com::sun::star::sheet::XActivationEventListener aListener)
| removes a previously registered listener.

## Detailed Description

represents a view of a spreadsheet document.

Developers Guide
  Office Development - Component - Controllers - Document Specific Controller Services
  Spreadsheet Documents - Spreadsheet Document Controller - Spreadsheet View

## Exported Interfaces

## ◆ com::sun::star::frame::Controller

service com::sun::star::frame::Controller

provides the integration into the framework.

## ◆ com::sun::star::sheet::SpreadsheetViewPane

service com::sun::star::sheet::SpreadsheetViewPane

provides direct access to the view's active pane.

## ◆ com::sun::star::sheet::SpreadsheetViewSettings

service com::sun::star::sheet::SpreadsheetViewSettings

provides the view's settings.

## Exported Interfaces

## ◆ com::sun::star::container::XEnumerationAccess

interface com::sun::star::container::XEnumerationAccess

creates an enumeration of view panes.

See also
  com::sun::star::sheet::SpreadsheetViewPanesEnumeration

## ◆ com::sun::star::container::XIndexAccess

interface com::sun::star::container::XIndexAccess

provides access to the collection of view panes.

## ◆ com::sun::star::sheet::XActivationBroadcaster

interface com::sun::star::sheet::XActivationBroadcaster
| optional

## ◆ com::sun::star::sheet::XEnhancedMouseClickBroadcaster

interface com::sun::star::sheet::XEnhancedMouseClickBroadcaster
| optional

## ◆ com::sun::star::sheet::XRangeSelection

interface com::sun::star::sheet::XRangeSelection

allows to let the user interactively select a cell range.

## ◆ com::sun::star::sheet::XSpreadsheetView

interface com::sun::star::sheet::XSpreadsheetView

provides access to the active sheet in the view.

## ◆ com::sun::star::sheet::XViewFreezable

interface com::sun::star::sheet::XViewFreezable

allows to freeze columns and rows of the view.

## ◆ com::sun::star::sheet::XViewSplitable

interface com::sun::star::sheet::XViewSplitable

allows to split the view.

## ◆ com::sun::star::view::XSelectionSupplier

interface com::sun::star::view::XSelectionSupplier

provides access to the view's selection.

The selection in a spreadsheet view can be a com::sun::star::sheet::SheetCell, com::sun::star::sheet::SheetCellRange, com::sun::star::sheet::SheetCellRanges, com::sun::star::drawing::Shape or com::sun::star::drawing::Shapes object.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/SpreadsheetView.idl